Abonnés
Ajouter ou retirer des tags
Un tag ajouté qui n’existe pas encore sur la liste est créé. Les automatisations déclenchées par un tag démarrent.
POST
/
api
/
v1
/
subscribers
/
{subscriber}
/
tags
Ajouter ou retirer des tags
curl --request POST \
--url https://{host}/api/v1/subscribers/{subscriber}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"add": [
"vip"
],
"remove": [
"prospect"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({add: ['vip'], remove: ['prospect']})
};
fetch('https://{host}/api/v1/subscribers/{subscriber}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/v1/subscribers/{subscriber}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'add' => [
'vip'
],
'remove' => [
'prospect'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://{host}/api/v1/subscribers/{subscriber}/tags"
payload = {
"add": ["vip"],
"remove": ["prospect"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"timezone": "<string>",
"locale": "<string>",
"status": "unconfirmed",
"tags": [
"<string>"
],
"attributes": {},
"list": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscribed_at": "2023-11-07T05:31:56Z",
"unsubscribed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"message": "Unauthenticated."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "Le champ email doit être une adresse e-mail valide.",
"errors": {}
}Autorisations
Jeton d'API. Aptitude « read » : routes GET seulement. « read + write » : toutes les routes.
En-têtes
Rejouez une écriture sans risque : la même clé rend la première réponse pendant 24 heures (en-tête Idempotent-Replay: true).
Maximum string length:
255Paramètres de chemin
L'identifiant (uuid) de l'abonné.
Réponse
L'abonné avec ses tags.
Show child attributes
Show child attributes
⌘I
Ajouter ou retirer des tags
